View Issue Details

IDProjectCategoryView StatusLast Update
0014996ScribusBuild Systempublic2017-12-20 20:58
Reporterdtardon Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.4.svn 
Summary0014996: build with -DAPPLICATION_DATA_DIR fails
DescriptionSSIA. Patch attached.
Steps To Reproducecmake -DAPPLICATION_DATA_DIR=foo .
make
TagsNo tags attached.
PatchYes

Activities

dtardon

2017-09-21 13:36

reporter  

0001-fix-build-with-DAPPLICATION_DATA_DIR.patch (843 bytes)
From 6fb0e280ad4d4c8775ad88ee58ddf38d6bbd6709 Mon Sep 17 00:00:00 2001
From: David Tardon <dtardon@redhat.com>
Date: Tue, 19 Sep 2017 08:26:31 +0200
Subject: [PATCH] fix build with -DAPPLICATION_DATA_DIR

---
 Scribus/scribus/scpaths.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Scribus/scribus/scpaths.cpp b/Scribus/scribus/scpaths.cpp
index 892d0bb34..c244d485d 100644
--- a/Scribus/scribus/scpaths.cpp
+++ b/Scribus/scribus/scpaths.cpp
@@ -520,7 +520,7 @@ QString ScPaths::applicationDataDir(bool createIfNotExists)
 {
 	QString dataDir;
 #ifdef APPLICATION_DATA_DIR
-	prefsDir =  QDir::homePath() + "/" + APPLICATION_DATA_DIR + "/";
+	dataDir =  QDir::homePath() + "/" + APPLICATION_DATA_DIR + "/";
 #else
 	dataDir =  QStandardPaths::writableLocation(QStandardPaths::AppDataLocation) + "/";
 #endif
-- 
2.13.5

jghali

2017-09-21 17:02

administrator   ~0044434

Committed, thanks!

Issue History

Date Modified Username Field Change
2017-09-21 13:36 dtardon New Issue
2017-09-21 13:36 dtardon File Added: 0001-fix-build-with-DAPPLICATION_DATA_DIR.patch
2017-09-21 17:02 jghali Assigned To => jghali
2017-09-21 17:02 jghali Status new => resolved
2017-09-21 17:02 jghali Resolution open => fixed
2017-09-21 17:02 jghali Fixed in Version => 1.5.4.svn
2017-09-21 17:02 jghali Note Added: 0044434
2017-12-20 20:58 cbradney Status resolved => closed